INCLUDES = $(all_includes)

kde_module_LTLIBRARIES = kio_apt.la

METASOURCES = AUTO

kio_apt_la_SOURCES = aptcache.cpp apt.cpp regexps.cpp packagemanager.cpp rpm.cpp dpkg.cpp

kio_apt_la_LIBADD = $(top_builddir)/src/parsers/libparsers.la -lkio
kio_apt_la_LDFLAGS = -avoid-version -module $(all_libraries) $(KDE_PLUGIN)

protocoldir = $(kde_servicesdir)
protocol_DATA = apt.protocol

appdatadir = $(kde_datadir)/kio_apt/
appdata_DATA = kio_apt.css kdedeb_logo.png

messages: rc.cpp
	$(XGETTEXT) *.cpp -o $(podir)/kio_apt.pot

noinst_HEADERS = debug.h aptcache.h apt.h regexps.h dpkg.h rpm.h packagemanager.h

searchproviderdir = $(kde_servicesdir)/searchproviders
searchprovider_DATA = apt-search.desktop apt-file.desktop apt-files.desktop
SUBDIRS =  parsers
